
import { connect } from 'umi';
import ProcessCard from '../../../components/Manufacture/ProcessCard/ProcessCard';

function ProcessCardInfoComponent({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const commonBillProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };
  return (
    <ProcessCard {...commonBillProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProcessCardInfoComponent);

